<h4>Vegetables list {{ include('assets/add.html.twig', {add_path: path('vegetables_new')}) }}</h4>

<table class="table table-hover table-sm">
    <thead>
    <tr>
        <th style="width: 40px">#</th>
        <th>Name</th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    {% for vegetable in vegetables %}
        <tr>
            <td>{{ vegetable.id }}</td>
            <td>{{ vegetable.name }}</td>
            <td class="text-right float-right">
                {{ include('assets/edit.html.twig', {edit_path: path('vegetables_edit', {'id': vegetable.id}), button_label: 'edit'}) }}
                {{ include('assets/delete.html.twig', {action: path('vegetables_delete', {'id': vegetable.id}), csrf: csrf_token('delete' ~ vegetable.id)}) }}
            </td>
        </tr>
    {% else %}
        <tr>
            <td colspan="3">no records found</td>
        </tr>
    {% endfor %}
    </tbody>
</table>